/********************************************************* begin of preamble
**
** Copyright (C) 2003-2010 Software- und Organisations-Service GmbH. 
** All rights reserved.
**
** This file may be used under the terms of either the 
**
**   GNU General Public License version 2.0 (GPL)
**
**   as published by the Free Software Foundation
**   http://www.gnu.org/licenses/gpl-2.0.txt and appearing in the file
**   LICENSE.GPL included in the packaging of this file. 
**
** or the
**  
**   Agreement for Purchase and Licensing
**
**   as offered by Software- und Organisations-Service GmbH
**   in the respective terms of supply that ship with this file.
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
** IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
** THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
** PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
** BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
** CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
** SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
** INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
** CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
** ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
** POSSIBILITY OF SUCH DAMAGE.
********************************************************** end of preamble*/
// $Id: immutable_string.cxx 13199 2007-12-06 14:15:42Z jz $        Joacim Zschimmer, Zschimmer GmbH, http://www.zschimmer.com

#if 0

#include "zschimmer.h"
#include "immutable_string.h"

using namespace std;


namespace zschimmer {

//-----------------------------------------------------------Immutable_string_content::operator new
    
void* Immutable_string_content::operator new( size_t size, size_t string_length )   
{ 
    return z_malloc( size + string_length, "Immutable_string", 0 ); 
}

//--------------------------------------------------------Immutable_string_content::operator delete

void Immutable_string_content::operator delete( void* p, size_t )
{ 
    return z_free( p ); 
}

//-------------------------------------------------------------Immutable_string_content::new_string

Immutable_string_content* Immutable_string_content::new_string( const char* s, size_t length )
{
    Immutable_string_content* result = NULL;

    result = new( length ) Immutable_string_content( s, length );
    memcpy( result->_string, s, sizeof (char) * length );

    return result;
}

//-----------------------------------------------Immutable_string_content::Immutable_string_content

Immutable_string_content::Immutable_string_content( const char* s, size_t length )
: 
    _length( length )
{
    _string[ length ] = char();
}

//-------------------------------------------------------------------------------------------------

} //namespace zschimmer

#endif
