/********************************************************* begin of preamble
**
** Copyright (C) 2003-2010 Software- und Organisations-Service GmbH. 
** All rights reserved.
**
** This file may be used under the terms of either the 
**
**   GNU General Public License version 2.0 (GPL)
**
**   as published by the Free Software Foundation
**   http://www.gnu.org/licenses/gpl-2.0.txt and appearing in the file
**   LICENSE.GPL included in the packaging of this file. 
**
** or the
**  
**   Agreement for Purchase and Licensing
**
**   as offered by Software- und Organisations-Service GmbH
**   in the respective terms of supply that ship with this file.
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
** IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
** THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
** PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
** BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
** CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
** SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
** INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
** CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
** ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
** POSSIBILITY OF SUCH DAMAGE.
********************************************************** end of preamble*/
//#define MODULE_NAME "keyarray"
//#define AUTHOR      "Joacim Zschimmer"
//#define COPYRIGHT   "1995 SOS GmbH Berlin"
#include "precomp.h"

#if 0

#include <sos.h>
#include <area.h>
#include <sosfield.h>
#include <keyarray.h>

//-----------------------------------------------Fixed_length_key_array::Fixed_length_key_array

Fixed_length_key_array::Fixed_length_key_array( const Sos_ptr<Field_type>& type )
:
    _zero_ (this+1),
    _type ( type )
{
    _array.obj_const_name( "Fixed_length_key_array._array" );
    int a = type->alignment();
    _entry_size = ( type->field_size() + a - 1 ) / a * a;
    //_allocation_increment = 100 * _entry_size;
}

//----------------------------------------------Fixed_length_key_array::~Fixed_length_key_array

Fixed_length_key_array::~Fixed_length_key_array()
{
    for( int i = _array.last_index(); i >= _array.first_index(); i-- ) {
        _type->destruct( _array[ i ] );
        SOS_DELETE( _array[ i ] );
    }
/*
    Byte* p0 = _buffer.byte_ptr();
    Byte* p  = p0 + _buffer.length();

    while( p > p0 ) {
        p -= _entry_size;
        _type->destruct( p );
    }
*/
}

//-----------------------------------------------------------Fixed_length_key_array::last_index
/*
void Fixed_length_key_array::last_index( int last )
{
    _buffer.resize_min( ( last - _first_index ) * _entry_size );
}
*/
//------------------------------------------------------------------Fixed_length_key_array::add

void Fixed_length_key_array::add( const Byte* p )
{
    Byte** e = _array.add_empty();

    *e = new Byte [ _entry_size ];          // ausgerichtet, wie von type->alignment() gefordert?
    if( !*e )  throw No_memory_error();
    _type->field_copy( *e, p );
/*
    if( _buffer.length() + _entry_size > _buffer.size() ) {
        _buffer.resize_min( _buffer.length() + 4096 );
    }

    _buffer.length( _buffer.length() + _entry_size );
    _type->field_copy( _buffer.byte_ptr() + _buffer.length(), p );
*/
}

//-----------------------------------------------------------Fixed_length_key_array::operator[]

int Fixed_length_key_array::operator[] ( const Byte* key )
{
    for( int i = _array.first_index(); i <= _array.last_index(); i++ ) {
        if( _type->field_equal( _array[ i ], key ) )  return i;
    }
/*
    char key_text [ 100+1 ];    key_text[ sizeof key_text - 1 ] = '\0';
    char text     [ 100+1 ];    text[ sizeof text - 1 ] = '\0';
    Text_format format;

    format.string_quote( 0 );
    format.char_quote( 0 );
    format.separator( 0 );

    ostrstream s1 ( key_text, sizeof key_text - 1 );
    _type->print( key, &s, format );
    *s << '\0';

    for( int i = _array.first_index(); i <= _array.last_index(); i++ ) {
        _key.print
    }
*/
/*
    const Byte* p     = _buffer.byte_ptr();
    const Byte* p_end = _buffer.byte_ptr() + _buffer.length();

    while( p < p_end ) {
        if( memcmp( key, p, _entry_size ) == 0 )  return _first_index + ( p - _buffer.byte_ptr() ) / _entry_size;
        p += _entry_size;
    }
*/

    throw_not_found_error();
}

#endif
