/********************************************************* begin of preamble
**
** Copyright (C) 2003-2010 Software- und Organisations-Service GmbH. 
** All rights reserved.
**
** This file may be used under the terms of either the 
**
**   GNU General Public License version 2.0 (GPL)
**
**   as published by the Free Software Foundation
**   http://www.gnu.org/licenses/gpl-2.0.txt and appearing in the file
**   LICENSE.GPL included in the packaging of this file. 
**
** or the
**  
**   Agreement for Purchase and Licensing
**
**   as offered by Software- und Organisations-Service GmbH
**   in the respective terms of supply that ship with this file.
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
** IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
** THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
** PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
** BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
** CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
** SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
** INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
** CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
** ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
** POSSIBILITY OF SUCH DAMAGE.
********************************************************** end of preamble*/
// soscopy.h                                1996 SOS GmbH Berlin
//                                          Joacim Zschimmer

#ifndef __SOSPROG_H
#   include "../kram/sosprog.h"
#endif


//#define SOSCOPY_DIALOG

namespace sos {

class Soscopy_dialog;
class Soscopy_copying_dialog;


struct Soscopy_app : Sos_program
{
                       
                                Soscopy_app             ();

    int                         main                    ( int, char** );
    BOOL                        ExitInstance            ();

    uint4                       copy_file               ( Soscopy_copying_dialog* = NULL );

    Fill_zero                  _zero_;

    Sos_string                 _input_filename;
    Sos_string                 _output_filename;
    Sos_string                 _input_file_filename;
    Sos_string                 _output_file_filename;
    Sos_string                 _files_filename;
    Bool                       _open_out_first;
    long                       _count;
    long                       _skip;
    Bool                       _single_step;
    long                       _verbose;                // > 0: Alle _verbose Stze einen Punkt schreiben

#   ifdef SOSCOPY_DIALOG
        Soscopy_dialog*        _dlg;
#   endif
};


extern Soscopy_app app;


} //namespace
