/********************************************************* begin of preamble
**
** Copyright (C) 2003-2010 Software- und Organisations-Service GmbH. 
** All rights reserved.
**
** This file may be used under the terms of either the 
**
**   GNU General Public License version 2.0 (GPL)
**
**   as published by the Free Software Foundation
**   http://www.gnu.org/licenses/gpl-2.0.txt and appearing in the file
**   LICENSE.GPL included in the packaging of this file. 
**
** or the
**  
**   Agreement for Purchase and Licensing
**
**   as offered by Software- und Organisations-Service GmbH
**   in the respective terms of supply that ship with this file.
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
** IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
** THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
** PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
** BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
** CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
** SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
** INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
** CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
** ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
** POSSIBILITY OF SUCH DAMAGE.
********************************************************** end of preamble*/
// olereg.h                                        1997 SOS GmbH Berlin
//                                                 Joacim Zschimmer
// Funktionen zum Registrieren eines OLE-Servers


#ifndef __OLEREG_H
#define __OLEREG_H

namespace sos
{

HRESULT hostole_register_server();
HRESULT hostole_unregister_server();

HRESULT hostole_register_typelib( const IID& typelib_id, const Sos_string& name, const Sos_string& version, const Sos_string& typelib_filename );
HRESULT hostole_unregister_typelib( const IID& typelib_id, const Sos_string& name, const Sos_string& version );

HRESULT hostole_register_class( const IID& typelib_id, const IID& clsid, const Sos_string& name, 
                                const Sos_string& version, const Sos_string& title );

HRESULT hostole_unregister_class( const IID& typelib_id, const IID& clsid, const Sos_string& name, const Sos_string& version );

} //namespace sos


#endif
