/********************************************************* begin of preamble
**
** Copyright (C) 2003-2010 Software- und Organisations-Service GmbH. 
** All rights reserved.
**
** This file may be used under the terms of either the 
**
**   GNU General Public License version 2.0 (GPL)
**
**   as published by the Free Software Foundation
**   http://www.gnu.org/licenses/gpl-2.0.txt and appearing in the file
**   LICENSE.GPL included in the packaging of this file. 
**
** or the
**  
**   Agreement for Purchase and Licensing
**
**   as offered by Software- und Organisations-Service GmbH
**   in the respective terms of supply that ship with this file.
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
** IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
** THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
** PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
** BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
** CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
** SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
** INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
** CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
** ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
** POSSIBILITY OF SUCH DAMAGE.
********************************************************** end of preamble*/
// sosbit.h             Intel 386 Assembler!!

#ifndef __SOSBIT_H
#define __SOSBIT_H

//---------------------------------------------------------------------------------------bitxxx

extern "C" int _cdecl _far bitchk (
    Byte _far*  bitmap,
    int4        bitno,
    int4        bitcnt,
    int         bit
);

extern "C" int4 _far _cdecl bitscn10 (  // Sucht Einsen und setzt sie auf Null
					// Liefert -1, wenn nix gefunden
    Byte _far*  bitmap,
    int4        bitmap_bitzahl,         // Gre der Bitmap in Bits
    int4        anzahl_einsen           // Anzahl der aufeinanderfolgenden Einsen
);

extern "C" int4 _far _cdecl bitscan1 (   // Sucht Einsen
					// Liefert -1, wenn nix gefunden
    Byte _far*  bitmap,
    int4        bitmap_bitzahl,         // Gre der Bitmap in Bits
    int4        anzahl_einsen           // Anzahl der aufeinanderfolgenden Einsen
);

extern "C" void _cdecl _far bitset (
    Byte _far*  bitmap,
    int4        bitno,
    int4        anzahl,
    int2        bit                     // 0 oder 1
);

#endif
